# Created by pyp2rpm-3.3.4
%global pypi_name ansible-runner-http

Name:           %{pypi_name}
Version:        1.0.0
Release:        2%{?dist}
Summary:        Ansible Runner HTTP Event Emitter

License:        Apache
URL:            https://github.com/ansible/ansible-runner-http
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3dist(ansible-runner)
Requires:       python3dist(requests)
Requires:       python3dist(requests-unixsocket)
Requires:       python3dist(setuptools)

%description
Ansible Runner HTTP Event Emitter This project is a plugin for Ansible
Runner that allows emitting Ansible status and events to HTTP services in the
form of POST events. This can allow Runner to notify other systems as Ansible
jobs are run and to deliver key events to that system if it's interested.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files
%doc README.md
%{python3_sitelib}/ansible_runner_http
%{python3_sitelib}/ansible_runner_http-%{version}-py%{python3_version}.egg-info
